Bug 197910 - metacity does not load
metacity does not load
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
: 198068 198268 198710 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 01:55 EDT by clifford snow
Modified: 2014-06-18 05:08 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-06 16:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
metacity strace (8.63 KB, text/plain)
2006-07-13 02:09 EDT, Tim Mayberry
no flags Details

  None (edit)
Description clifford snow 2006-07-07 01:55:37 EDT
Description of problem:
metacity does not load.  error message indicates a selinux problem.


Version-Release number of selected component (if applicable):
libselinux 1.30.15-5
selinux-policy 2.3.1-1
metacity 2.15.5-6

How reproducible:
Always

Steps to Reproduce:
1. update FC6 test 1 to July 6 updates
2. reboot
3. check for running metacity process or look in log for error messages
  
Actual results:
metacity does not load causing window display problems

Expected results:
Typical gnome windows

Additional info:
The following is written to /var/log/messages:
Localhost kernel: audit(1152216505.513:285): avc: denied {execmem } for
pid=2408 com="metacity" scontext=user_u:system_r:unconfined_t:s0
tcontext=user_u:system_r:unconfined_t:s0 tclass=process
Comment 1 Daniel Walsh 2006-07-10 11:03:39 EDT
Why does metacity need execmem privs?

This is a potential security problem, and we are trying to eliminate this
wherever possible.

http://people.redhat.com/~drepper/selinux-mem.html
Comment 2 Daniel Walsh 2006-07-11 10:10:54 EDT
*** Bug 198068 has been marked as a duplicate of this bug. ***
Comment 3 Tim Mayberry 2006-07-12 21:45:56 EDT
*** Bug 198710 has been marked as a duplicate of this bug. ***
Comment 4 Tim Mayberry 2006-07-12 22:19:32 EDT
*** Bug 198268 has been marked as a duplicate of this bug. ***
Comment 5 Tim Mayberry 2006-07-13 02:09:38 EDT
Created attachment 132345 [details]
metacity strace
Comment 6 Daniel Walsh 2006-07-17 15:11:18 EDT
Do we have an update on this being fixed?  Or should I change the executable to
allow execmem for the time being?  Currently people are setting allow_execmem to
get this to work.

Note You need to log in before you can comment on or make changes to this bug.